package com.emr.service;

import com.emr.entity.*;

import java.util.List;

public interface TempMasterIDService {
    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(TempMasterID record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(TempMasterID record);

    /**
     *
     * @return
     */
    List<TempMasterID> selectAllMasterID();

    //重新校验完整性并赋值
    int reloadWz(String masterId);

}
